/* Basic CSS Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Josefin Sans", sans-serif;
}

body {
    font-family: "Josefin Sans", sans-serif;
    line-height: 1.6;
    background-color: #160330;
}

.button, .icon_button, .show-comments {
    background: linear-gradient(to right, #7500c3, #8e30c4, #b72ed2);
    color: #fff;
    padding: 15px 30px; /* Increased padding for bigger buttons */
    border: none;
    font-size: 18px; /* Increased font size */
    border-radius: 8px; /* Slightly rounded corners */
    cursor: pointer; /* Change cursor to pointer */
    display: inline-flex; /* Align text center */
    align-items: center; /* Center text vertically */
    justify-content: center; /* Center text horizontally */
    text-align: center; /* Center text */
    white-space: nowrap; /* Prevent text wrapping */
}

.icon_button i {
    margin-right: 8px; /* Space between the icon and text */
}

.button:hover,
.icon_button:hover,
.show-comments:hover {
    background: linear-gradient(to left, #7500c3, #8e30c4, #b72ed2);
}

.post_container {
    position: relative;
    margin: auto;
    justify-content: center;
    margin-top: 50px;
    width: 600px;
    border-radius: 0.75rem;
    background: rgba(39, 7, 70, 0.695);
    padding: 2rem;
    color: #fff;
}

.user_container {
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
}

.post_container {
    margin-top: 10px;
}

.post {
    justify-content: center;
}

.post_input {
    height: 30px;
    width: 90%;
    margin-bottom: 20px;
}

.timetable_container {
    margin: auto;
    justify-content: center;
    margin-top: 10px;
    width: 85%;
    border-radius: 0.75rem;
    background: rgba(39, 7, 70, 0.695);
    padding: 2rem;
    color: #fff;
}

.timetable_container h1 {
    text-align: center;
}

.row {
    background-color: #160330;
}

.cell {
    margin: auto;
    justify-content: center;
    width: fit-content;
    height: 100px;
    background-color: #7500c3;
}

.header_cell {
    width: 1000px;
    height: 20px;
    background-color: #7500c3;
}

.timetable {
    margin: auto;
    justify-content: center;
    width: 70%;
    border-radius: 0.75rem;
    color: #fff;
}

.cell_value {
    background: rgba(39, 7, 70, 0.695);
    width: 100%;
    height: 60%;
}

.timetable_img {
    width: 50%;
    margin-left: 25%;
    padding: 10px;
    justify-content: center;
}

.button_download {
    background: linear-gradient(to right, #7500c3, #8e30c4, #b72ed2);
    color: #fff;
    margin-left: 45%;
    padding: 15px 30px; /* Increased padding for bigger button */
    border: 0;
    font-size: 18px;
    border-radius: 8px; /* Slightly rounded corners */
}

.button_download:hover {
    background: linear-gradient(to left, #7500c3, #8e30c4, #b72ed2);
    cursor: pointer;
}
